IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network54.3.96.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
54.3.96.0- Broadcast address
54.3.99.255- First usable
54.3.96.1- Last usable
54.3.99.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
36036000· Integer906190848to906191871 - Reverse DNS zones
96.3.54.in-addr.arpa97.3.54.in-addr.arpa98.3.54.in-addr.arpa99.3.54.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00110110.00000011.01100000.00000000 | 54.3.96.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00110110.00000011.01100000.00000000 | 54.3.96.0 |
| Broadcast | 00110110.00000011.01100011.11111111 | 54.3.99.255 |
Split into smaller subnets
54.3.96.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 54.3.96.0/32 | 54.3.96.0 to 54.3.96.0 | — | 1 |
| 2 | 54.3.96.1/32 | 54.3.96.1 to 54.3.96.1 | — | 1 |
| 3 | 54.3.96.2/32 | 54.3.96.2 to 54.3.96.2 | — | 1 |
| 4 | 54.3.96.3/32 | 54.3.96.3 to 54.3.96.3 | — | 1 |
| 5 | 54.3.96.4/32 | 54.3.96.4 to 54.3.96.4 | — | 1 |
| 6 | 54.3.96.5/32 | 54.3.96.5 to 54.3.96.5 | — | 1 |
| 7 | 54.3.96.6/32 | 54.3.96.6 to 54.3.96.6 | — | 1 |
| 8 | 54.3.96.7/32 | 54.3.96.7 to 54.3.96.7 | — | 1 |
| 9 | 54.3.96.8/32 | 54.3.96.8 to 54.3.96.8 | — | 1 |
| 10 | 54.3.96.9/32 | 54.3.96.9 to 54.3.96.9 | — | 1 |
| 11 | 54.3.96.10/32 | 54.3.96.10 to 54.3.96.10 | — | 1 |
| 12 | 54.3.96.11/32 | 54.3.96.11 to 54.3.96.11 | — | 1 |
| 13 | 54.3.96.12/32 | 54.3.96.12 to 54.3.96.12 | — | 1 |
| 14 | 54.3.96.13/32 | 54.3.96.13 to 54.3.96.13 | — | 1 |
| 15 | 54.3.96.14/32 | 54.3.96.14 to 54.3.96.14 | — | 1 |
| 16 | 54.3.96.15/32 | 54.3.96.15 to 54.3.96.15 | — | 1 |
| 17 | 54.3.96.16/32 | 54.3.96.16 to 54.3.96.16 | — | 1 |
| 18 | 54.3.96.17/32 | 54.3.96.17 to 54.3.96.17 | — | 1 |
| 19 | 54.3.96.18/32 | 54.3.96.18 to 54.3.96.18 | — | 1 |
| 20 | 54.3.96.19/32 | 54.3.96.19 to 54.3.96.19 | — | 1 |
| 21 | 54.3.96.20/32 | 54.3.96.20 to 54.3.96.20 | — | 1 |
| 22 | 54.3.96.21/32 | 54.3.96.21 to 54.3.96.21 | — | 1 |
| 23 | 54.3.96.22/32 | 54.3.96.22 to 54.3.96.22 | — | 1 |
| 24 | 54.3.96.23/32 | 54.3.96.23 to 54.3.96.23 | — | 1 |
| 25 | 54.3.96.24/32 | 54.3.96.24 to 54.3.96.24 | — | 1 |
| 26 | 54.3.96.25/32 | 54.3.96.25 to 54.3.96.25 | — | 1 |
| 27 | 54.3.96.26/32 | 54.3.96.26 to 54.3.96.26 | — | 1 |
| 28 | 54.3.96.27/32 | 54.3.96.27 to 54.3.96.27 | — | 1 |
| 29 | 54.3.96.28/32 | 54.3.96.28 to 54.3.96.28 | — | 1 |
| 30 | 54.3.96.29/32 | 54.3.96.29 to 54.3.96.29 | — | 1 |
| 31 | 54.3.96.30/32 | 54.3.96.30 to 54.3.96.30 | — | 1 |
| 32 | 54.3.96.31/32 | 54.3.96.31 to 54.3.96.31 | — | 1 |
| 33 | 54.3.96.32/32 | 54.3.96.32 to 54.3.96.32 | — | 1 |
| 34 | 54.3.96.33/32 | 54.3.96.33 to 54.3.96.33 | — | 1 |
| 35 | 54.3.96.34/32 | 54.3.96.34 to 54.3.96.34 | — | 1 |
| 36 | 54.3.96.35/32 | 54.3.96.35 to 54.3.96.35 | — | 1 |
| 37 | 54.3.96.36/32 | 54.3.96.36 to 54.3.96.36 | — | 1 |
| 38 | 54.3.96.37/32 | 54.3.96.37 to 54.3.96.37 | — | 1 |
| 39 | 54.3.96.38/32 | 54.3.96.38 to 54.3.96.38 | — | 1 |
| 40 | 54.3.96.39/32 | 54.3.96.39 to 54.3.96.39 | — | 1 |
| 41 | 54.3.96.40/32 | 54.3.96.40 to 54.3.96.40 | — | 1 |
| 42 | 54.3.96.41/32 | 54.3.96.41 to 54.3.96.41 | — | 1 |
| 43 | 54.3.96.42/32 | 54.3.96.42 to 54.3.96.42 | — | 1 |
| 44 | 54.3.96.43/32 | 54.3.96.43 to 54.3.96.43 | — | 1 |
| 45 | 54.3.96.44/32 | 54.3.96.44 to 54.3.96.44 | — | 1 |
| 46 | 54.3.96.45/32 | 54.3.96.45 to 54.3.96.45 | — | 1 |
| 47 | 54.3.96.46/32 | 54.3.96.46 to 54.3.96.46 | — | 1 |
| 48 | 54.3.96.47/32 | 54.3.96.47 to 54.3.96.47 | — | 1 |
| 49 | 54.3.96.48/32 | 54.3.96.48 to 54.3.96.48 | — | 1 |
| 50 | 54.3.96.49/32 | 54.3.96.49 to 54.3.96.49 | — | 1 |
| 51 | 54.3.96.50/32 | 54.3.96.50 to 54.3.96.50 | — | 1 |
| 52 | 54.3.96.51/32 | 54.3.96.51 to 54.3.96.51 | — | 1 |
| 53 | 54.3.96.52/32 | 54.3.96.52 to 54.3.96.52 | — | 1 |
| 54 | 54.3.96.53/32 | 54.3.96.53 to 54.3.96.53 | — | 1 |
| 55 | 54.3.96.54/32 | 54.3.96.54 to 54.3.96.54 | — | 1 |
| 56 | 54.3.96.55/32 | 54.3.96.55 to 54.3.96.55 | — | 1 |
| 57 | 54.3.96.56/32 | 54.3.96.56 to 54.3.96.56 | — | 1 |
| 58 | 54.3.96.57/32 | 54.3.96.57 to 54.3.96.57 | — | 1 |
| 59 | 54.3.96.58/32 | 54.3.96.58 to 54.3.96.58 | — | 1 |
| 60 | 54.3.96.59/32 | 54.3.96.59 to 54.3.96.59 | — | 1 |
| 61 | 54.3.96.60/32 | 54.3.96.60 to 54.3.96.60 | — | 1 |
| 62 | 54.3.96.61/32 | 54.3.96.61 to 54.3.96.61 | — | 1 |
| 63 | 54.3.96.62/32 | 54.3.96.62 to 54.3.96.62 | — | 1 |
| 64 | 54.3.96.63/32 | 54.3.96.63 to 54.3.96.63 | — | 1 |
| 65 | 54.3.96.64/32 | 54.3.96.64 to 54.3.96.64 | — | 1 |
| 66 | 54.3.96.65/32 | 54.3.96.65 to 54.3.96.65 | — | 1 |
| 67 | 54.3.96.66/32 | 54.3.96.66 to 54.3.96.66 | — | 1 |
| 68 | 54.3.96.67/32 | 54.3.96.67 to 54.3.96.67 | — | 1 |
| 69 | 54.3.96.68/32 | 54.3.96.68 to 54.3.96.68 | — | 1 |
| 70 | 54.3.96.69/32 | 54.3.96.69 to 54.3.96.69 | — | 1 |
| 71 | 54.3.96.70/32 | 54.3.96.70 to 54.3.96.70 | — | 1 |
| 72 | 54.3.96.71/32 | 54.3.96.71 to 54.3.96.71 | — | 1 |
| 73 | 54.3.96.72/32 | 54.3.96.72 to 54.3.96.72 | — | 1 |
| 74 | 54.3.96.73/32 | 54.3.96.73 to 54.3.96.73 | — | 1 |
| 75 | 54.3.96.74/32 | 54.3.96.74 to 54.3.96.74 | — | 1 |
| 76 | 54.3.96.75/32 | 54.3.96.75 to 54.3.96.75 | — | 1 |
| 77 | 54.3.96.76/32 | 54.3.96.76 to 54.3.96.76 | — | 1 |
| 78 | 54.3.96.77/32 | 54.3.96.77 to 54.3.96.77 | — | 1 |
| 79 | 54.3.96.78/32 | 54.3.96.78 to 54.3.96.78 | — | 1 |
| 80 | 54.3.96.79/32 | 54.3.96.79 to 54.3.96.79 | — | 1 |
| 81 | 54.3.96.80/32 | 54.3.96.80 to 54.3.96.80 | — | 1 |
| 82 | 54.3.96.81/32 | 54.3.96.81 to 54.3.96.81 | — | 1 |
| 83 | 54.3.96.82/32 | 54.3.96.82 to 54.3.96.82 | — | 1 |
| 84 | 54.3.96.83/32 | 54.3.96.83 to 54.3.96.83 | — | 1 |
| 85 | 54.3.96.84/32 | 54.3.96.84 to 54.3.96.84 | — | 1 |
| 86 | 54.3.96.85/32 | 54.3.96.85 to 54.3.96.85 | — | 1 |
| 87 | 54.3.96.86/32 | 54.3.96.86 to 54.3.96.86 | — | 1 |
| 88 | 54.3.96.87/32 | 54.3.96.87 to 54.3.96.87 | — | 1 |
| 89 | 54.3.96.88/32 | 54.3.96.88 to 54.3.96.88 | — | 1 |
| 90 | 54.3.96.89/32 | 54.3.96.89 to 54.3.96.89 | — | 1 |
| 91 | 54.3.96.90/32 | 54.3.96.90 to 54.3.96.90 | — | 1 |
| 92 | 54.3.96.91/32 | 54.3.96.91 to 54.3.96.91 | — | 1 |
| 93 | 54.3.96.92/32 | 54.3.96.92 to 54.3.96.92 | — | 1 |
| 94 | 54.3.96.93/32 | 54.3.96.93 to 54.3.96.93 | — | 1 |
| 95 | 54.3.96.94/32 | 54.3.96.94 to 54.3.96.94 | — | 1 |
| 96 | 54.3.96.95/32 | 54.3.96.95 to 54.3.96.95 | — | 1 |
| 97 | 54.3.96.96/32 | 54.3.96.96 to 54.3.96.96 | — | 1 |
| 98 | 54.3.96.97/32 | 54.3.96.97 to 54.3.96.97 | — | 1 |
| 99 | 54.3.96.98/32 | 54.3.96.98 to 54.3.96.98 | — | 1 |
| 100 | 54.3.96.99/32 | 54.3.96.99 to 54.3.96.99 | — | 1 |
| 101 | 54.3.96.100/32 | 54.3.96.100 to 54.3.96.100 | — | 1 |
| 102 | 54.3.96.101/32 | 54.3.96.101 to 54.3.96.101 | — | 1 |
| 103 | 54.3.96.102/32 | 54.3.96.102 to 54.3.96.102 | — | 1 |
| 104 | 54.3.96.103/32 | 54.3.96.103 to 54.3.96.103 | — | 1 |
| 105 | 54.3.96.104/32 | 54.3.96.104 to 54.3.96.104 | — | 1 |
| 106 | 54.3.96.105/32 | 54.3.96.105 to 54.3.96.105 | — | 1 |
| 107 | 54.3.96.106/32 | 54.3.96.106 to 54.3.96.106 | — | 1 |
| 108 | 54.3.96.107/32 | 54.3.96.107 to 54.3.96.107 | — | 1 |
| 109 | 54.3.96.108/32 | 54.3.96.108 to 54.3.96.108 | — | 1 |
| 110 | 54.3.96.109/32 | 54.3.96.109 to 54.3.96.109 | — | 1 |
| 111 | 54.3.96.110/32 | 54.3.96.110 to 54.3.96.110 | — | 1 |
| 112 | 54.3.96.111/32 | 54.3.96.111 to 54.3.96.111 | — | 1 |
| 113 | 54.3.96.112/32 | 54.3.96.112 to 54.3.96.112 | — | 1 |
| 114 | 54.3.96.113/32 | 54.3.96.113 to 54.3.96.113 | — | 1 |
| 115 | 54.3.96.114/32 | 54.3.96.114 to 54.3.96.114 | — | 1 |
| 116 | 54.3.96.115/32 | 54.3.96.115 to 54.3.96.115 | — | 1 |
| 117 | 54.3.96.116/32 | 54.3.96.116 to 54.3.96.116 | — | 1 |
| 118 | 54.3.96.117/32 | 54.3.96.117 to 54.3.96.117 | — | 1 |
| 119 | 54.3.96.118/32 | 54.3.96.118 to 54.3.96.118 | — | 1 |
| 120 | 54.3.96.119/32 | 54.3.96.119 to 54.3.96.119 | — | 1 |
| 121 | 54.3.96.120/32 | 54.3.96.120 to 54.3.96.120 | — | 1 |
| 122 | 54.3.96.121/32 | 54.3.96.121 to 54.3.96.121 | — | 1 |
| 123 | 54.3.96.122/32 | 54.3.96.122 to 54.3.96.122 | — | 1 |
| 124 | 54.3.96.123/32 | 54.3.96.123 to 54.3.96.123 | — | 1 |
| 125 | 54.3.96.124/32 | 54.3.96.124 to 54.3.96.124 | — | 1 |
| 126 | 54.3.96.125/32 | 54.3.96.125 to 54.3.96.125 | — | 1 |
| 127 | 54.3.96.126/32 | 54.3.96.126 to 54.3.96.126 | — | 1 |
| 128 | 54.3.96.127/32 | 54.3.96.127 to 54.3.96.127 | — | 1 |
| 129 | 54.3.96.128/32 | 54.3.96.128 to 54.3.96.128 | — | 1 |
| 130 | 54.3.96.129/32 | 54.3.96.129 to 54.3.96.129 | — | 1 |
| 131 | 54.3.96.130/32 | 54.3.96.130 to 54.3.96.130 | — | 1 |
| 132 | 54.3.96.131/32 | 54.3.96.131 to 54.3.96.131 | — | 1 |
| 133 | 54.3.96.132/32 | 54.3.96.132 to 54.3.96.132 | — | 1 |
| 134 | 54.3.96.133/32 | 54.3.96.133 to 54.3.96.133 | — | 1 |
| 135 | 54.3.96.134/32 | 54.3.96.134 to 54.3.96.134 | — | 1 |
| 136 | 54.3.96.135/32 | 54.3.96.135 to 54.3.96.135 | — | 1 |
| 137 | 54.3.96.136/32 | 54.3.96.136 to 54.3.96.136 | — | 1 |
| 138 | 54.3.96.137/32 | 54.3.96.137 to 54.3.96.137 | — | 1 |
| 139 | 54.3.96.138/32 | 54.3.96.138 to 54.3.96.138 | — | 1 |
| 140 | 54.3.96.139/32 | 54.3.96.139 to 54.3.96.139 | — | 1 |
| 141 | 54.3.96.140/32 | 54.3.96.140 to 54.3.96.140 | — | 1 |
| 142 | 54.3.96.141/32 | 54.3.96.141 to 54.3.96.141 | — | 1 |
| 143 | 54.3.96.142/32 | 54.3.96.142 to 54.3.96.142 | — | 1 |
| 144 | 54.3.96.143/32 | 54.3.96.143 to 54.3.96.143 | — | 1 |
| 145 | 54.3.96.144/32 | 54.3.96.144 to 54.3.96.144 | — | 1 |
| 146 | 54.3.96.145/32 | 54.3.96.145 to 54.3.96.145 | — | 1 |
| 147 | 54.3.96.146/32 | 54.3.96.146 to 54.3.96.146 | — | 1 |
| 148 | 54.3.96.147/32 | 54.3.96.147 to 54.3.96.147 | — | 1 |
| 149 | 54.3.96.148/32 | 54.3.96.148 to 54.3.96.148 | — | 1 |
| 150 | 54.3.96.149/32 | 54.3.96.149 to 54.3.96.149 | — | 1 |
| 151 | 54.3.96.150/32 | 54.3.96.150 to 54.3.96.150 | — | 1 |
| 152 | 54.3.96.151/32 | 54.3.96.151 to 54.3.96.151 | — | 1 |
| 153 | 54.3.96.152/32 | 54.3.96.152 to 54.3.96.152 | — | 1 |
| 154 | 54.3.96.153/32 | 54.3.96.153 to 54.3.96.153 | — | 1 |
| 155 | 54.3.96.154/32 | 54.3.96.154 to 54.3.96.154 | — | 1 |
| 156 | 54.3.96.155/32 | 54.3.96.155 to 54.3.96.155 | — | 1 |
| 157 | 54.3.96.156/32 | 54.3.96.156 to 54.3.96.156 | — | 1 |
| 158 | 54.3.96.157/32 | 54.3.96.157 to 54.3.96.157 | — | 1 |
| 159 | 54.3.96.158/32 | 54.3.96.158 to 54.3.96.158 | — | 1 |
| 160 | 54.3.96.159/32 | 54.3.96.159 to 54.3.96.159 | — | 1 |
| 161 | 54.3.96.160/32 | 54.3.96.160 to 54.3.96.160 | — | 1 |
| 162 | 54.3.96.161/32 | 54.3.96.161 to 54.3.96.161 | — | 1 |
| 163 | 54.3.96.162/32 | 54.3.96.162 to 54.3.96.162 | — | 1 |
| 164 | 54.3.96.163/32 | 54.3.96.163 to 54.3.96.163 | — | 1 |
| 165 | 54.3.96.164/32 | 54.3.96.164 to 54.3.96.164 | — | 1 |
| 166 | 54.3.96.165/32 | 54.3.96.165 to 54.3.96.165 | — | 1 |
| 167 | 54.3.96.166/32 | 54.3.96.166 to 54.3.96.166 | — | 1 |
| 168 | 54.3.96.167/32 | 54.3.96.167 to 54.3.96.167 | — | 1 |
| 169 | 54.3.96.168/32 | 54.3.96.168 to 54.3.96.168 | — | 1 |
| 170 | 54.3.96.169/32 | 54.3.96.169 to 54.3.96.169 | — | 1 |
| 171 | 54.3.96.170/32 | 54.3.96.170 to 54.3.96.170 | — | 1 |
| 172 | 54.3.96.171/32 | 54.3.96.171 to 54.3.96.171 | — | 1 |
| 173 | 54.3.96.172/32 | 54.3.96.172 to 54.3.96.172 | — | 1 |
| 174 | 54.3.96.173/32 | 54.3.96.173 to 54.3.96.173 | — | 1 |
| 175 | 54.3.96.174/32 | 54.3.96.174 to 54.3.96.174 | — | 1 |
| 176 | 54.3.96.175/32 | 54.3.96.175 to 54.3.96.175 | — | 1 |
| 177 | 54.3.96.176/32 | 54.3.96.176 to 54.3.96.176 | — | 1 |
| 178 | 54.3.96.177/32 | 54.3.96.177 to 54.3.96.177 | — | 1 |
| 179 | 54.3.96.178/32 | 54.3.96.178 to 54.3.96.178 | — | 1 |
| 180 | 54.3.96.179/32 | 54.3.96.179 to 54.3.96.179 | — | 1 |
| 181 | 54.3.96.180/32 | 54.3.96.180 to 54.3.96.180 | — | 1 |
| 182 | 54.3.96.181/32 | 54.3.96.181 to 54.3.96.181 | — | 1 |
| 183 | 54.3.96.182/32 | 54.3.96.182 to 54.3.96.182 | — | 1 |
| 184 | 54.3.96.183/32 | 54.3.96.183 to 54.3.96.183 | — | 1 |
| 185 | 54.3.96.184/32 | 54.3.96.184 to 54.3.96.184 | — | 1 |
| 186 | 54.3.96.185/32 | 54.3.96.185 to 54.3.96.185 | — | 1 |
| 187 | 54.3.96.186/32 | 54.3.96.186 to 54.3.96.186 | — | 1 |
| 188 | 54.3.96.187/32 | 54.3.96.187 to 54.3.96.187 | — | 1 |
| 189 | 54.3.96.188/32 | 54.3.96.188 to 54.3.96.188 | — | 1 |
| 190 | 54.3.96.189/32 | 54.3.96.189 to 54.3.96.189 | — | 1 |
| 191 | 54.3.96.190/32 | 54.3.96.190 to 54.3.96.190 | — | 1 |
| 192 | 54.3.96.191/32 | 54.3.96.191 to 54.3.96.191 | — | 1 |
| 193 | 54.3.96.192/32 | 54.3.96.192 to 54.3.96.192 | — | 1 |
| 194 | 54.3.96.193/32 | 54.3.96.193 to 54.3.96.193 | — | 1 |
| 195 | 54.3.96.194/32 | 54.3.96.194 to 54.3.96.194 | — | 1 |
| 196 | 54.3.96.195/32 | 54.3.96.195 to 54.3.96.195 | — | 1 |
| 197 | 54.3.96.196/32 | 54.3.96.196 to 54.3.96.196 | — | 1 |
| 198 | 54.3.96.197/32 | 54.3.96.197 to 54.3.96.197 | — | 1 |
| 199 | 54.3.96.198/32 | 54.3.96.198 to 54.3.96.198 | — | 1 |
| 200 | 54.3.96.199/32 | 54.3.96.199 to 54.3.96.199 | — | 1 |
| 201 | 54.3.96.200/32 | 54.3.96.200 to 54.3.96.200 | — | 1 |
| 202 | 54.3.96.201/32 | 54.3.96.201 to 54.3.96.201 | — | 1 |
| 203 | 54.3.96.202/32 | 54.3.96.202 to 54.3.96.202 | — | 1 |
| 204 | 54.3.96.203/32 | 54.3.96.203 to 54.3.96.203 | — | 1 |
| 205 | 54.3.96.204/32 | 54.3.96.204 to 54.3.96.204 | — | 1 |
| 206 | 54.3.96.205/32 | 54.3.96.205 to 54.3.96.205 | — | 1 |
| 207 | 54.3.96.206/32 | 54.3.96.206 to 54.3.96.206 | — | 1 |
| 208 | 54.3.96.207/32 | 54.3.96.207 to 54.3.96.207 | — | 1 |
| 209 | 54.3.96.208/32 | 54.3.96.208 to 54.3.96.208 | — | 1 |
| 210 | 54.3.96.209/32 | 54.3.96.209 to 54.3.96.209 | — | 1 |
| 211 | 54.3.96.210/32 | 54.3.96.210 to 54.3.96.210 | — | 1 |
| 212 | 54.3.96.211/32 | 54.3.96.211 to 54.3.96.211 | — | 1 |
| 213 | 54.3.96.212/32 | 54.3.96.212 to 54.3.96.212 | — | 1 |
| 214 | 54.3.96.213/32 | 54.3.96.213 to 54.3.96.213 | — | 1 |
| 215 | 54.3.96.214/32 | 54.3.96.214 to 54.3.96.214 | — | 1 |
| 216 | 54.3.96.215/32 | 54.3.96.215 to 54.3.96.215 | — | 1 |
| 217 | 54.3.96.216/32 | 54.3.96.216 to 54.3.96.216 | — | 1 |
| 218 | 54.3.96.217/32 | 54.3.96.217 to 54.3.96.217 | — | 1 |
| 219 | 54.3.96.218/32 | 54.3.96.218 to 54.3.96.218 | — | 1 |
| 220 | 54.3.96.219/32 | 54.3.96.219 to 54.3.96.219 | — | 1 |
| 221 | 54.3.96.220/32 | 54.3.96.220 to 54.3.96.220 | — | 1 |
| 222 | 54.3.96.221/32 | 54.3.96.221 to 54.3.96.221 | — | 1 |
| 223 | 54.3.96.222/32 | 54.3.96.222 to 54.3.96.222 | — | 1 |
| 224 | 54.3.96.223/32 | 54.3.96.223 to 54.3.96.223 | — | 1 |
| 225 | 54.3.96.224/32 | 54.3.96.224 to 54.3.96.224 | — | 1 |
| 226 | 54.3.96.225/32 | 54.3.96.225 to 54.3.96.225 | — | 1 |
| 227 | 54.3.96.226/32 | 54.3.96.226 to 54.3.96.226 | — | 1 |
| 228 | 54.3.96.227/32 | 54.3.96.227 to 54.3.96.227 | — | 1 |
| 229 | 54.3.96.228/32 | 54.3.96.228 to 54.3.96.228 | — | 1 |
| 230 | 54.3.96.229/32 | 54.3.96.229 to 54.3.96.229 | — | 1 |
| 231 | 54.3.96.230/32 | 54.3.96.230 to 54.3.96.230 | — | 1 |
| 232 | 54.3.96.231/32 | 54.3.96.231 to 54.3.96.231 | — | 1 |
| 233 | 54.3.96.232/32 | 54.3.96.232 to 54.3.96.232 | — | 1 |
| 234 | 54.3.96.233/32 | 54.3.96.233 to 54.3.96.233 | — | 1 |
| 235 | 54.3.96.234/32 | 54.3.96.234 to 54.3.96.234 | — | 1 |
| 236 | 54.3.96.235/32 | 54.3.96.235 to 54.3.96.235 | — | 1 |
| 237 | 54.3.96.236/32 | 54.3.96.236 to 54.3.96.236 | — | 1 |
| 238 | 54.3.96.237/32 | 54.3.96.237 to 54.3.96.237 | — | 1 |
| 239 | 54.3.96.238/32 | 54.3.96.238 to 54.3.96.238 | — | 1 |
| 240 | 54.3.96.239/32 | 54.3.96.239 to 54.3.96.239 | — | 1 |
| 241 | 54.3.96.240/32 | 54.3.96.240 to 54.3.96.240 | — | 1 |
| 242 | 54.3.96.241/32 | 54.3.96.241 to 54.3.96.241 | — | 1 |
| 243 | 54.3.96.242/32 | 54.3.96.242 to 54.3.96.242 | — | 1 |
| 244 | 54.3.96.243/32 | 54.3.96.243 to 54.3.96.243 | — | 1 |
| 245 | 54.3.96.244/32 | 54.3.96.244 to 54.3.96.244 | — | 1 |
| 246 | 54.3.96.245/32 | 54.3.96.245 to 54.3.96.245 | — | 1 |
| 247 | 54.3.96.246/32 | 54.3.96.246 to 54.3.96.246 | — | 1 |
| 248 | 54.3.96.247/32 | 54.3.96.247 to 54.3.96.247 | — | 1 |
| 249 | 54.3.96.248/32 | 54.3.96.248 to 54.3.96.248 | — | 1 |
| 250 | 54.3.96.249/32 | 54.3.96.249 to 54.3.96.249 | — | 1 |
| 251 | 54.3.96.250/32 | 54.3.96.250 to 54.3.96.250 | — | 1 |
| 252 | 54.3.96.251/32 | 54.3.96.251 to 54.3.96.251 | — | 1 |
| 253 | 54.3.96.252/32 | 54.3.96.252 to 54.3.96.252 | — | 1 |
| 254 | 54.3.96.253/32 | 54.3.96.253 to 54.3.96.253 | — | 1 |
| 255 | 54.3.96.254/32 | 54.3.96.254 to 54.3.96.254 | — | 1 |
| 256 | 54.3.96.255/32 | 54.3.96.255 to 54.3.96.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |